local utils = import "../../lib/picc-k8s.libsonnet";

function(password=null, ip=null){
    postgres_app: import "postgres_app.jsonnet",
    postgres_service: utils.service(name="postgres", ports=[{name: "postgres", protocol: "TCP", port:5432}], ip=ip),
    postgres_password:
        if password != null then
            (import "postgres_password.jsonnet")(password)
        else
            (import "postgres_password.jsonnet")(),
    postgres_dbinit: import "postgres_dbinit.jsonnet"
}