local utils = import "../../lib/picc-k8s.libsonnet";

function(ip=null){
    rabbitmq_app: import "rabbitmq_app.jsonnet",
    rabbitmq_service: utils.service(name="rabbitmq",
                                    ports=[{name: "amqp", port: 5672},
                                            {name: "web", port: 15672},
                                            {name: "mqtt", port: 1883}],
                                    ip=ip),
    rabbitmq_conf: import "rabbitmq_config.jsonnet"
}