{
    addNamespace(manifest, namespace)::
    manifest +
    {
        metadata+: {
            namespace: namespace
        }
    },

    createNamespace(namespace)::
    {
        apiVersion: "v1",
        kind: "Namespace",
        metadata: {
            name: namespace
        }
    },

    service(name, ports, ip=null)::
    {
        apiVersion: "v1",
        kind: "Service",
        metadata: {
            name: name
        },
        spec: {
            type: "LoadBalancer",
            selector: {
                app: name
            },
            ports: ports,
            [if ip != null then "loadBalancerIP"]: ip
        }
    }
}